be.ehealth.businessconnector.mycarenet.agreementv2.builders

## Interface RequestObjectBuilder

- All Known Implementing Classes:
    EncryptedRequestObjectBuilderImpl

      public interface RequestObjectBuilder

  Provides method(s) to create an Agreement WS request. Default impl : `EncryptedRequestObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncryptedRequestHolder<AskAgreementRequest>` | `buildAskAgreementRequest(AgreementRequestInput requestInput)` Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
    `EncryptedRequestHolder<ConsultAgreementRequest>` | `buildConsultAgreementRequest(AgreementRequestInput requestInput)`

- - ### Method Detail

    - #### buildAskAgreementRequest

          EncryptedRequestHolder<AskAgreementRequest> buildAskAgreementRequest(AgreementRequestInput requestInput)
                                                                        throws TechnicalConnectorException,
                                                                               AgreementBusinessConnectorException

      Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Parameters:
        `requestInput` - the object that holds the request input parameters
      Returns:
        the request that need to be sent
      Throws:
        `AgreementBusinessConnectorException` - the Agreement Business connector exception
        `TechnicalConnectorException` - the technical connector exception

    - #### buildConsultAgreementRequest

          EncryptedRequestHolder<ConsultAgreementRequest> buildConsultAgreementRequest(AgreementRequestInput requestInput)
                                                                                throws TechnicalConnectorException,
                                                                                       AgreementBusinessConnectorException

      Throws:
        `TechnicalConnectorException`
        `AgreementBusinessConnectorException`

Connector Packaging PERSLOGOPEDIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.